JarLibAvailableTask (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.extension.JarLibAvailableTask class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.extension
Class JarLibAvailableTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.extension.JarLibAvailableTask

public class JarLibAvailableTask
extends Task

Checks whether an extension is present in a fileset or an extensionSet.

Author:
  Peter Donald

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`JarLibAvailableTask()`

Method Summary
`void` | `addConfiguredExtension(ExtensionAdapter extension)` Set the Extension looking for.
`void` | `addConfiguredExtensionSet(ExtensionSet extensionSet)` Adds a set of extensions to search in.
`void` | `execute()` Called by the project to let the task do its work.
`void` | `setFile(java.io.File file)` The JAR library to check.
`void` | `setProperty(java.lang.String property)` The name of property to set if extensions are available.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarLibAvailableTask

    public JarLibAvailableTask()

Method Detail

### setProperty

    public void setProperty(java.lang.String property)

  The name of property to set if extensions are available.

  Parameters:
    `property` - The name of property to set if extensions is available.

### setFile

    public void setFile(java.io.File file)

  The JAR library to check.

  Parameters:
    `file` - The jar library to check.

### addConfiguredExtension

    public void addConfiguredExtension(ExtensionAdapter extension)

  Set the Extension looking for.

  Parameters:
    `extension` - Set the Extension looking for.

### addConfiguredExtensionSet

    public void addConfiguredExtensionSet(ExtensionSet extensionSet)

  Adds a set of extensions to search in.

  Parameters:
    `extensionSet` - a set of extensions to search in.

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do its work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.